Bug 28612 - no framebuffer for GeForce2MX at install time
Summary: no framebuffer for GeForce2MX at install time
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-21 15:20 UTC by David Balažic
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 16:50:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2001-02-21 15:20:49 UTC
All redhat 7.1 betas , upto and including Fisher, fail to set up
the framebuffer device during install (from CD ) on my system,
which has a nVidia GeForce2MX based gfx card.
The GUI install is done by the classic X server, so it is not
a big problem.

I tested the rivafb 0.9.2 driver in recent kernels ( 2.4.1-ac10 )
and it works on this hardware. I used fbset to set different modes
on the console and it worked. I didn't try any gfx program though.

Comment 1 Bill Nottingham 2001-02-21 17:16:12 UTC
We don't use HW-specific framebuffers for the install, only vesafb.

Comment 2 Michael Fulbright 2001-02-21 22:52:23 UTC
Please attach output from lspci and lspci -n.

For the record my GeForce 2 MX works in framebuffer.

Comment 3 David Balažic 2001-02-22 10:25:52 UTC
Fisher uses the vga=787 kernel command line parameter.
That mode ( 787 == 0x313 ) does not work on my GF2MX
788 works and gives , according to the kernel message 800x600x16

dmesg :
vesafb: framebuffer at 0xd8000000, mapped to 0xd0800000, size 32768k
vesafb: mode is 800x600x16, linelength=1600, pages=3
vesafb: protected mode interface info at c000:0ed1
vesafb: scrolling: redraw
vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0
Console: switching to colour frame buffer device 100x37
fb0: VESA VGA frame buffer device



Comment 4 Michael Fulbright 2001-02-22 16:50:20 UTC
Great -  we have corrected the default mode to be 788.


Note You need to log in before you can comment on or make changes to this bug.